GNU bug report logs - #42088
[feature/native-comp] Lockup on opening TypeScript files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sebastian Sturm <mail@HIDDEN>; Done: Andrea Corallo <andrea_corallo@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42088-done <at> debbugs.gnu.org:


Received: (at 42088-done) by debbugs.gnu.org; 30 Jun 2020 14:43:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 10:43:48 2020
Received: from localhost ([127.0.0.1]:51404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqHU2-0003PT-Eu
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:43:48 -0400
Received: from sonic301-21.consmr.mail.ir2.yahoo.com ([77.238.176.98]:35211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrea_corallo@HIDDEN>) id 1jqHTy-0003PD-T2
 for 42088-done <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:43:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.it; s=s2048;
 t=1593528208; bh=q7q/59BcL1ZU7fHcpuAezJPD8QDHWHk9z6ir+leKlnw=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject;
 b=pJCldclar3unqfPMOHspug8bEhuG/o57Zq80XYM4ol9BnsC0GDwLmUM81COZOv2sicnCq7Ea0rmAUNKaQ0+9sxuNyEt35nM6m3nzbLGLhUkME0yaSBPpm6GO2TMK0I7UOJSkPPc52Wl2ea4l8as58eOF3+fOG/pykYSwWxYVL+AHPghE7jgWwkt6LtUc5HihinmFC3rJoMBlPanw/RPJ52bNDcojrWEJbSLJNy2aOgByMZEZGeZvSLRyHC4UCGDiwtIhcZ2SxvuSODkj7Tjxfu3ge8a2Zcd/rfYm1mcuW6qBoGDe3Du0yChJktDHcl6nnndfaFK5/KZ1jfJwFqry8g==
X-YMail-OSG: KN8Pb3AVM1kow.VTEFKYVi.NRzQ9cm2r.CKtwzoMsXEcWrkTlPzoOutRSxH0F2E
 pNM_W_u6EeQSuhP6fO1p6U8cEN3v6s9tG3T1Bcms5ORLdPoTe.aBjDPzGFQ8IKuy4.4PrWzL1kXA
 QyR4iZFP_8YjfxsbITRGWlPS._P0eLjA5GOAcxQLGdWGBsNNSjEy94iZuxYNeMDsCmf6iGzXDfxG
 2lhXj0B2VXKHhAphOTKxgmGzw2H4SfgMcp6SOHcnGLlfHlKu5k3kVGpebHh9CGjurBbiCSVJTbpx
 SLzIqmDddDrvLiL.lVkYqf2yANyp2BI_i2JFllD84WqrVLPUPIGzFLbt5_eaQhA8FaIKDpbfIYvB
 Jki.Zb5TW5HrXp.dySgpFPZnB0MkP0LAImbqStCk375MkxSx6htbJL9gavKhexTzsbsg1M8BlssR
 WRVpJ8c.I5CCLivn.ly6zv1Mhr0QijSsOJec_HdgLTXhrKjql4yJYL1QCgfJT3SSUNxe5_97GrL3
 5KGBn77q8hqQy7QHa5jjlzddn_pBcwiW5_xdJ3uQn_ca5CWQCw9x3YUbDSJUs_yQmWQbGQN_P5ws
 j.7fZYtwVDby9mi3VwlRPofENgHmKeuEmNx.nfC5lcfm_Rqf6dxmc01Ht0mOZXw8CoUJXgB0MiQQ
 jZs5qjDjJ5Yz.XjCGNPa1lJRPFTxGv73szJUd7SkJpTO7u_.Zb79deKusnktpR9JIR57IEQ2jtVx
 dyBHqCxSZGs2xYRBVnVZiqJK5e95oSW0n4XFqJ1b3DuM_tisdFrvVNaj8TKY6fAwQq8mw4pCZ4pM
 nFi2EguizlCMfiaqRhuSJIP1IXu7xghms08EXT4yhLNUS1hDXSCGpK799d_LsKUJO2NZVs1ZadSM
 b9ewhrVThqpLeJuJPeKi2lNO3wl.UPt6SKEz1AmuhS62yR9tT.kDtx66CQFRf61x0vmjuZ.9hRht
 kojZmgiWKSxHiwrp6lWkvawpQohHI1vsLdJRj0dfbfwy1Wf2oIOLwSqgNl1vFWN8qTBSzFDRFzCH
 nwy.CzdPUhA_T9uX2YP90pOo3DKIKT2LU5lzagqF1IwNVTvaoVVCSi_OuBgNDDwqDl3znER3wwA3
 T2QZfCgthtKyQIBjZXd93DdL.p6aJMhPAf2kwtECwjsXZ5d5uEdS2fPzGZo8kRmQUEAj0nwtP7ey
 wGOJEEKBrevGd3kjaxvZIWPzjFjlVbiI7SHndysYBv5taliYnun273Ah6Rxcrw9LUvh2dQ4zg7hz
 E1t9AsIBst80yS6j1djBjDoNW7PkIxtaBKZHc3_BEAxpS4BXcUViX2DEMvOJ4tUxqfAH7FLoX78o
 vrZs9X.BDlRmlUxWd5pslFJsmr8j8gtqdQiEIU7tJXA--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ir2.yahoo.com with HTTP; Tue, 30 Jun 2020 14:43:28 +0000
Date: Tue, 30 Jun 2020 14:43:27 +0000 (UTC)
From: Andrea Corallo <andrea_corallo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Message-ID: <1310598554.650130.1593528207620@HIDDEN>
In-Reply-To: <jwv366c1wpg.fsf-monnier+emacs@HIDDEN>
References: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
 <xjfzh8oryjd.fsf@HIDDEN> <xjfk0zrsc6t.fsf@HIDDEN>
 <jwvd05h2smt.fsf-monnier+emacs@HIDDEN>
 <1924395113.150369.1593504407966@HIDDEN>
 <jwv366c1wpg.fsf-monnier+emacs@HIDDEN>
Subject: Re: bug#42088: [feature/native-comp] Lockup on opening TypeScript
 files
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.16197 YMailNorrin Mozilla/5.0 (X11; Ubuntu;
 Linux x86_64; rv:70.0) Gecko/20100101 Firefox/70.0
Content-Length: 386
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42088-done
Cc: Sebastian Sturm <mail@HIDDEN>,
 "42088-done <at> debbugs.gnu.org" <42088-done <at> debbugs.gnu.org>,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan wrote:

> [ Not sure what's the standard euphemism in use in France nowadays but
>=C2=A0=C2=A0 back when I lived nearby, "SDF" meant "sans domicile fixe" i.=
e. what we
>=C2=A0=C2=A0 here call "homeless" (and I've heard it referred to disturbin=
gly as
>=C2=A0=C2=A0 "rough sleepers").=C2=A0 ]

Well... must say this sounds surprisingly accurate! :/

Closing it :)

=C2=A0 Andrea




Notification sent to Sebastian Sturm <mail@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Andrea Corallo <andrea_corallo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 42088 <at> debbugs.gnu.org:


Received: (at 42088) by debbugs.gnu.org; 30 Jun 2020 14:03:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 10:03:42 2020
Received: from localhost ([127.0.0.1]:51342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqGrO-0002QY-2A
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:03:42 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:54508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1jqGrK-0002QH-0Y
 for 42088 <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:03:40 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 2325680B74;
 Tue, 30 Jun 2020 10:03:32 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 49A2D808BE;
 Tue, 30 Jun 2020 10:03:30 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1593525810;
 bh=DwjCORf7fSsG8BPGSb329rNnBphbZsp6CJ7xvUeROVY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=G2YfQl29dKjl/iSHf1gx0ZrZLGG9Kn//wOSFUTkH1PQG7o8yxawmJNVWSuA5ORqTh
 x+dk4SLSdjZRLZKSHqH7WhzzNQbJmvIQh/FDyYwuQEwsUYlPBz1qtewU77XyLcqeby
 gfLcytj2ndM2SPn8hcaoNdgSHxwqjyX6K+A9HPMDEIgxbdfXmisd1oI3n2cTNUdMdE
 nTcX1Dlw8qZ45PaWNMMH0luCNTas/qQdbVcIwtw5RHmVgSMnxeJoU7bauDto9qTPCp
 /smNkyXRz2PeZ4ZGVuQTscXHEl1I31/FDT8Rk3qIeTAfWiX/kk67CxZdzXzOFdEGIv
 XU7/V/a/XUKXQ==
Received: from alfajor (unknown [157.52.0.200])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0C17112074C;
 Tue, 30 Jun 2020 10:03:30 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Andrea Corallo <andrea_corallo@HIDDEN>
Subject: Re: bug#42088: [feature/native-comp] Lockup on opening TypeScript
 files
Message-ID: <jwv366c1wpg.fsf-monnier+emacs@HIDDEN>
References: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
 <xjfzh8oryjd.fsf@HIDDEN> <xjfk0zrsc6t.fsf@HIDDEN>
 <jwvd05h2smt.fsf-monnier+emacs@HIDDEN>
 <1924395113.150369.1593504407966@HIDDEN>
Date: Tue, 30 Jun 2020 10:03:28 -0400
In-Reply-To: <1924395113.150369.1593504407966@HIDDEN> (Andrea
 Corallo's message of "Tue, 30 Jun 2020 08:06:47 +0000 (UTC)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.017 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42088
Cc: Sebastian Sturm <mail@HIDDEN>, 42088 <at> debbugs.gnu.org,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> The printer is normally able to preserve this info (printing #:<foo>
>> instead of <foo> for uninterned symbols and using #=3D and such the refer
>> to exactly that symbol) when printing code into the .elc file, so I'm
>> wondering why it gets lost when going through the native compiler.
> Yes that's the conclusion I came-up shortly after.=A0 Turned out that the
> native compiler was not configuring the printer to handle uninterned
> symbols, so the fix I pushed Sunday:
> 7f8512765a * Setup correctly the printer while dumping objs in native CU =
(bug#42088)

Great thanks!

> I corrected myself and discussed the fix in a mail sent into this thread
> but unfortunately this got lost.=A0 My sdf mail lost a number of mails in
> the last days both incoming and out-coming (possibly including one I sent
> you :).

[ Not sure what's the standard euphemism in use in France nowadays but
  back when I lived nearby, "SDF" meant "sans domicile fixe" i.e. what we
  here call "homeless" (and I've heard it referred to disturbingly as
  "rough sleepers").  ]


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42088; Package emacs. Full text available.

Message received at 42088 <at> debbugs.gnu.org:


Received: (at 42088) by debbugs.gnu.org; 30 Jun 2020 08:07:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 04:07:55 2020
Received: from localhost ([127.0.0.1]:50110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqBJ5-00088M-DC
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 04:07:55 -0400
Received: from sonic310-57.consmr.mail.ir2.yahoo.com ([77.238.177.30]:44373)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrea_corallo@HIDDEN>) id 1jqBJ2-000888-Py
 for 42088 <at> debbugs.gnu.org; Tue, 30 Jun 2020 04:07:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.it; s=s2048;
 t=1593504466; bh=4SIVvcmQz8zJU8FY3OegJi4h3gh95bQ6Mf8iJxyP+fU=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject;
 b=gvo1wxwlzxnk0AprfW7Sz8dCs8WwqNyRflamYBVL9ogKppb4/7ve/Ns9NrCBQ5Kw2E/137ufZpzHJ9egSBZn8f8Qw0iyx+tJf5GIDBEReuPohG4AhVmm74J+1z0b7i8MQgz2qTDIH45J4BMWpm9AF0DGuY+flCRRR/C4+1J4Cp5IZKiY/pJ36499MKIgcwHeG5W27YgFVbwByBGtlggQF+gU0jKzFz38JwAyhkCZL4O+pDECyoiA7ISdS3fafRS1KLVwsRv7EhPKqmso2ENQbs0fIBYoPUCJ6u6riK9ZPu2cFKfXbmc8CvaiDKv7SbFfKEYWLLWlCk1lC4PN3S6U9A==
X-YMail-OSG: oOTMvqsVM1ml4iQQMnHiTX8kAXdSlUpQpwWc5evv5cOPav3xmqvPSvEhCHJLza0
 8qSRxgGr.XogP6vGu2MRSM9ysHkaL6D2SRS874WLDPvv3ii2EWeOndPM5X9m9dr.TtsSu8DAxzUs
 U0pbWLv1GEkx7YMb75g9T1KCmIVeSlEL14jtyxHsOR78IvpYjnK7zRBnjTdg5oh3Wu4yiPJrcRuS
 kD5uBKjZrr5ijXCVbxbB3WqREPBouSAra3ZfDitj5RliqmOqvitlnFHmJXXoTjMnDUe8eixFvBKd
 VtkDRQSGAsK.F.L95eSERBLIUSQO1rHnl7H_SDs8TajSuGz4jJLILc_gkqPDbTeUZjE6_ROem3mR
 aPZ8tej_k0bEV8_cLgXekg1ZaYshLVMWZKN29bJWAmde1oXrMY5uh8lKNoH7DayuysSs9ETtA1.d
 P4kplJDT_lAoNYmcgIW7nOnYPnONDEqbHb9l.cKcbxbxuiHRgf4PJ4_z8zixgF3g0chhcruS1mw4
 uu2S1VDvZpTjfW0MutR4CagK_gHcCzsSa5YwTTw2vFgJ_xNeacXb7qF6aPqRNIxe.52IppCMF3a4
 yve.9elLHQ4tabRRa4HnnVM2hYjFXpGbdWLmTLIxyV_J56_1Ej6vPDP5yjFABKZdpsDvidG5xAVG
 2nKV6Y6jP7cDuREjzuIdyvDXM7F3oO541svANLuLaEcdcLiZdYIvOEWevsvjpU_W6A1l4hlhz2FJ
 1JVqLziEjwe9rkasIcfXWb6vx1LaZeWWZ4eZQEi1XtO6OqPbAX7MBFXDctACDJ7IkkFqRNq_tZzP
 r9u5TmyRjVrH7EzL9JHtZAY.iRX6Dyr6.TOm6bc45xLdsuBXB8jmJvJN_MV7LVB7r4ciZ1d2FBxM
 7ezd_mRLzXjZiJgw.2lvskxH4424ysowFLtFUdu5Kf2bqWNNe5AEujtjL.YNsjRWvNrDIQ4jQrbU
 nE2_8ko06ZOd3LWvQkMjv9eCO5jmZ8KcO0.xtHmtqHqWr4j6VYgVcoa5c4sW1cW05p0uRQ64uTi2
 YwL5jdyviotCha0aY.WBSD525duqTBctpskj3QVa_Vd2LKqNLGZc10ph2LrqlHHEm0xYpmdwloYB
 _kX3VrbeDU4LH6kw1Ffmef464Ho6Z1HOtljqpbaGcrkzEH4OqyDc_TJXila3T9NaFc3BZdPfJqXK
 0RNIaKjznQ0F3yKyhEKKJIMgg3j4G7em9UlITOZ_qIxnYBdBcUUxQaRsUxvVD.3lPtxD9UuDyhJu
 cB0hCejQz1GzMvHIWoTIXELCF6aYZWbZlybFDUnlZYAnVyFn0t0YEkTivHovLfUgCq99WLM0qAUp
 YQ3nF8pczuwYMpR.uRSk.nezFdj9NSfiziSr3Rs3K2g9tNVibCuPs_hOjpObhJMsz4hO.XFM-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ir2.yahoo.com with HTTP; Tue, 30 Jun 2020 08:07:46 +0000
Date: Tue, 30 Jun 2020 08:06:47 +0000 (UTC)
From: Andrea Corallo <andrea_corallo@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
Message-ID: <1924395113.150369.1593504407966@HIDDEN>
In-Reply-To: <jwvd05h2smt.fsf-monnier+emacs@HIDDEN>
References: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
 <xjfzh8oryjd.fsf@HIDDEN> <xjfk0zrsc6t.fsf@HIDDEN>
 <jwvd05h2smt.fsf-monnier+emacs@HIDDEN>
Subject: Re: bug#42088: [feature/native-comp] Lockup on opening TypeScript
 files
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.16197 YMailNorrin Mozilla/5.0 (X11; Ubuntu;
 Linux x86_64; rv:70.0) Gecko/20100101 Firefox/70.0
Content-Length: 4439
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42088
Cc: 42088 <at> debbugs.gnu.org, Sebastian Sturm <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Stefan Monnier <monnier@HIDDEN> writes:

>> Okay after some digging I think I've an idea of what is going on:
>>
>> the code was hanging in `typescript--ensure-cache' in the loop
>>
>> (cl-loop while (re-search-forward typescript--quick-match-re-func nil t)=
...
>>
>> This because typescript--quick-match-re-func is not set correctly going
>> back and back this is because `typescript--available-frameworks' is set
>> to nil.
>
> Hmm... I'm afraid I can't follow this.=C2=A0 Could you provide some detai=
ls?

Sure,

this is how `typescript--available-frameworks' is computed in
typescript-mode.el.

=3D=3D=3D
(defconst typescript--available-frameworks
=C2=A0 (cl-loop with available-frameworks
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 for style in typescript--class-s=
tyles
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 for framework =3D (plist-get sty=
le :framework)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 unless (memq framework available=
-frameworks)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 collect framework into available=
-frameworks
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 finally return available-framewo=
rks)
=C2=A0 "List of available typescript frameworks symbols.")
=3D=3D=3D

The loop is expanded in:

=3D=3D=3D
(cl-block nil
=C2=A0=C2=A0=C2=A0 (let*
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ((available-frameworks nil)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (--cl-var-- typescript--cl=
ass-styles)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (style nil)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (framework nil)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (available-frameworks nil)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (--cl-var-- t))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (while
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (consp --cl-var--)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (setq style
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0 (car --cl-var--))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (setq framework
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0 (plist-get style :framework))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (if
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (memq fr=
amework available-frameworks)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (progn)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (setq available-fram=
eworks
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0 (nconc available-frameworks
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (list framework))=
))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (setq --cl-var--
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0 (cdr --cl-var--))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (setq --cl-var-- nil))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 available-frameworks))
=3D=3D=3D

If the two --cl-var-- are confused we never iterate and the block
evaluates to nil.=C2=A0 As a result `typescript--available-frameworks' was
(incorrectly) set to nil.

>> IIUC the reason for that is: cl-macs is expanding cl-loop using various
>> `--cl-var--', these looks the same but each of this is a separete
>> uninterned symbol.=C2=A0 The native compiler squash them all toghether h=
aving
>> to pass them through the reader and a simple testcase like this fails to
>> behave as expected.
>
> How/where exactly do they get squashed?
>
> The printer is normally able to preserve this info (printing #:<foo>
> instead of <foo> for uninterned symbols and using #=3D and such the refer
> to exactly that symbol) when printing code into the .elc file, so I'm
> wondering why it gets lost when going through the native compiler.

Yes that's the conclusion I came-up shortly after.=C2=A0 Turned out that th=
e
native compiler was not configuring the printer to handle uninterned
symbols, so the fix I pushed Sunday:

7f8512765a * Setup correctly the printer while dumping objs in native CU (b=
ug#42088)

I corrected myself and discussed the fix in a mail sent into this thread
but unfortunately this got lost.=C2=A0 My sdf mail lost a number of mails i=
n
the last days both incoming and out-coming (possibly including one I sent
you :).

This mail lossage has been extremely annoying sorry.

=C2=A0 Andrea





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42088; Package emacs. Full text available.

Message received at 42088 <at> debbugs.gnu.org:


Received: (at 42088) by debbugs.gnu.org; 30 Jun 2020 02:33:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 22:33:13 2020
Received: from localhost ([127.0.0.1]:49889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jq65B-0008Kr-Ac
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 22:33:13 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:42361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1jq658-0008Kc-JG
 for 42088 <at> debbugs.gnu.org; Mon, 29 Jun 2020 22:33:12 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 01AA2440B5F;
 Mon, 29 Jun 2020 22:33:05 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 61782440B5C;
 Mon, 29 Jun 2020 22:33:03 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1593484383;
 bh=4bwISuauO70hOYMHhuWBN3musBR34pvr+uFCnK8t1N4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=Yz3JNtqtpIDn9wm+IPvnyPxVl6fZbTLVJVTMsdEK/oxaIRjsxvmzGuKAF35UHP0yq
 /luxoLAOecWPOlAxHIka21qnrc5XMun8Lr9jTNSr38e2ygT5UwxpZXbadjcoEzaA8p
 pZ7K14T14ltF9VlscgTo0pOv9zUd77fIWxSdwb3CstIBB3+E5J3rF0IwlE1BWltC79
 qaye8Pzr3R59+2QWA5z/gGGYhVOWhj3opspSalSbMfYM1YLehhZZRzWkyfRi6COdQW
 kiXFNrD2HH+YCu/IN+x1XNv6zGq7fkX14wuwBYv1e93BGYCBBmY0gu2PS+URDbhkiJ
 rsDXkBMRW9D5g==
Received: from alfajor (unknown [157.52.0.200])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0DB981202CE;
 Mon, 29 Jun 2020 22:33:03 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#42088: [feature/native-comp] Lockup on opening TypeScript
 files
Message-ID: <jwvd05h2smt.fsf-monnier+emacs@HIDDEN>
References: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
 <xjfzh8oryjd.fsf@HIDDEN> <xjfk0zrsc6t.fsf@HIDDEN>
Date: Mon, 29 Jun 2020 22:33:02 -0400
In-Reply-To: <xjfk0zrsc6t.fsf@HIDDEN> (Andrea Corallo's message of "Sun, 28
 Jun 2020 10:43:22 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.017 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42088
Cc: 42088 <at> debbugs.gnu.org, Sebastian Sturm <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Okay after some digging I think I've an idea of what is going on:
>
> the code was hanging in `typescript--ensure-cache' in the loop
>
> (cl-loop while (re-search-forward typescript--quick-match-re-func nil t)...
>
> This because typescript--quick-match-re-func is not set correctly going
> back and back this is because `typescript--available-frameworks' is set
> to nil.

Hmm... I'm afraid I can't follow this.  Could you provide some details?

> IIUC the reason for that is: cl-macs is expanding cl-loop using various
> `--cl-var--', these looks the same but each of this is a separete
> uninterned symbol.  The native compiler squash them all toghether having
> to pass them through the reader and a simple testcase like this fails to
> behave as expected.

How/where exactly do they get squashed?

The printer is normally able to preserve this info (printing #:<foo>
instead of <foo> for uninterned symbols and using #= and such the refer
to exactly that symbol) when printing code into the .elc file, so I'm
wondering why it gets lost when going through the native compiler.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42088; Package emacs. Full text available.

Message received at 42088 <at> debbugs.gnu.org:


Received: (at 42088) by debbugs.gnu.org; 29 Jun 2020 21:01:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 17:01:10 2020
Received: from localhost ([127.0.0.1]:49637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jq0tq-0005T0-9A
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 17:01:10 -0400
Received: from smtp-out001.kontent.com ([81.88.40.215]:35838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jq0tn-0005Ko-ET
 for 42088 <at> debbugs.gnu.org; Mon, 29 Jun 2020 17:01:09 -0400
Received: from [192.168.178.111]
 (dslb-088-074-238-188.088.074.pools.vodafone-ip.de [88.74.238.188])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: sebastian-sturm_de_1@HIDDEN)
 by smtp-out001.kontent.com (Postfix) with ESMTPSA id CC50F4002B23
 for <42088 <at> debbugs.gnu.org>; Mon, 29 Jun 2020 23:01:00 +0200 (CEST)
To: 42088 <at> debbugs.gnu.org
From: Sebastian Sturm <mail@HIDDEN>
Subject: [feature/native-comp] Lockup on opening TypeScript files
Message-ID: <786958b2-edd8-7e26-8c03-bcbaf4d7c188@HIDDEN>
Date: Mon, 29 Jun 2020 23:01:00 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42088
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Andrea,

thanks for your swift fix and for explaining the underlying issue! I can 
confirm that I'm now no longer seeing the typescript-mode bug. I do see 
the --cl-rest-- issue instead, but apparently you already fixed that as 
well so I guess rebuilding Emacs will take care of that.
thanks again for gccemacs,
Sebastian





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42088; Package emacs. Full text available.

Message received at 42088 <at> debbugs.gnu.org:


Received: (at 42088) by debbugs.gnu.org; 28 Jun 2020 20:38:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 16:38:53 2020
Received: from localhost ([127.0.0.1]:47065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpe4j-0001Te-2D
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 16:38:53 -0400
Received: from [205.166.94.22] (port=53712 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jpe4h-0001TV-6w
 for 42088 <at> debbugs.gnu.org; Sun, 28 Jun 2020 16:38:52 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 05SKcloG004779
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 28 Jun 2020 20:38:48 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=sdf.org; s=default;
 t=1593376729; bh=amrf8pcB6H+BNqNsb2nO4dXaz6s2+jYOvGEkhr+UG0k=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To;
 b=EoV0knlsdN5s/vdieOtkVetAc+IKoSEsSx/+dXMMhlo7mcOmjQeS5htasLZE5KTGA
 RBoqud80uWl51LyUJf7sR2oeZofghsKH/hQJgSWUJ3BKHAOQh2ibxfOyz0bESbshmC
 e5VEuar/mc5DCQ/hqH8B0E8ti+0TBvn8dqQaQMb0=
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 05SKclr6002101;
 Sun, 28 Jun 2020 20:38:47 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Sebastian Sturm <mail@HIDDEN>
Subject: Re: bug#42088: [feature/native-comp] Lockup on opening TypeScript
 files
References: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
 <xjfzh8oryjd.fsf@HIDDEN> <xjfk0zrsc6t.fsf@HIDDEN>
Date: Sun, 28 Jun 2020 20:38:47 +0000
In-Reply-To: <xjfk0zrsc6t.fsf@HIDDEN> (Andrea Corallo's message of "Sun, 28
 Jun 2020 10:43:22 +0000")
Message-ID: <xjfsgefq620.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Apparently some mail got lost. Anyway should be fixed by
 7f8512765a, please give it a try. Thanks! 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 42088
Cc: 42088 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Apparently some mail got lost.

Anyway should be fixed by 7f8512765a, please give it a try.

Thanks!

  Andrea

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42088; Package emacs. Full text available.

Message received at 42088 <at> debbugs.gnu.org:


Received: (at 42088) by debbugs.gnu.org; 28 Jun 2020 10:43:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 06:43:32 2020
Received: from localhost ([127.0.0.1]:45283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpUmZ-0002zL-P6
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 06:43:31 -0400
Received: from [205.166.94.22] (port=61319 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jpUmW-0002zB-BN
 for 42088 <at> debbugs.gnu.org; Sun, 28 Jun 2020 06:43:29 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 05SAhOOg008747
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 28 Jun 2020 10:43:24 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=sdf.org; s=default;
 t=1593341006; bh=7e1RlI24N2tzhBIsJ06zk69vBd7EP86VLfWpaH1hIqM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ZjRbhajdZxXtZmgqSNX5OQO94dt/5z6USvhfFrX8GI9UbQD5z11RN6bOrYlZBsr6D
 qPRpoC3nHFRSjjAlnCwYFqdVM6ftFQoTdqQiK6XvPTPmA4MFa5u3DY1YC6leGodmPN
 cIhCzsEUvHHBtLLLEcO7FSeusNtbMzmhMrEQXzlw=
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 05SAhMAs018206;
 Sun, 28 Jun 2020 10:43:22 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Sebastian Sturm <mail@HIDDEN>
Subject: Re: bug#42088: [feature/native-comp] Lockup on opening TypeScript
 files
References: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
 <xjfzh8oryjd.fsf@HIDDEN>
Date: Sun, 28 Jun 2020 10:43:22 +0000
In-Reply-To: <xjfzh8oryjd.fsf@HIDDEN> (Andrea Corallo's message of "Sat, 27
 Jun 2020 21:25:58 +0000")
Message-ID: <xjfk0zrsc6t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Okay after some digging I think I've an idea of what is going
 on: the code was hanging in `typescript--ensure-cache' in the loop (cl-loop
 while (re-search-forward typescript--quick-match-re-func nil t)... 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 42088
Cc: 42088 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Okay after some digging I think I've an idea of what is going on:

the code was hanging in `typescript--ensure-cache' in the loop

(cl-loop while (re-search-forward typescript--quick-match-re-func nil t)...

This because typescript--quick-match-re-func is not set correctly going
back and back this is because `typescript--available-frameworks' is set
to nil.

IIUC the reason for that is: cl-macs is expanding cl-loop using various
`--cl-var--', these looks the same but each of this is a separete
uninterned symbol.  The native compiler squash them all toghether having
to pass them through the reader and a simple testcase like this fails to
behave as expected.

===
(require 'cl-lib)

(defun foo ()
  (cl-loop for xxx in '(a b)
           for yyy = xxx
           do (print xxx)))
===

This fails only compiling for dynamic scope because in lexical all
--cl-vars-- are absorbed as slots in the execution stack.

I suspect the solution is to have some renaming performed by the native
compiler not to confuse them.

  Andrea

--
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42088; Package emacs. Full text available.

Message received at 42088 <at> debbugs.gnu.org:


Received: (at 42088) by debbugs.gnu.org; 27 Jun 2020 21:26:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 27 17:26:06 2020
Received: from localhost ([127.0.0.1]:44722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpIKs-0005mJ-7p
	for submit <at> debbugs.gnu.org; Sat, 27 Jun 2020 17:26:06 -0400
Received: from [205.166.94.22] (port=51329 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jpIKo-0005lw-VB
 for 42088 <at> debbugs.gnu.org; Sat, 27 Jun 2020 17:26:04 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 05RLPx74016971
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sat, 27 Jun 2020 21:26:00 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=sdf.org; s=default;
 t=1593293161; bh=DlF9Gmk8mksZkQ08ToKDEGQfILDF7LUUi3BQ8yOd7Hk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To;
 b=QG2k6zeYPo1ziDRyxYOGRHywWuhhaoWofCVzLEb806CgdtzX3Bsz7gCERCGoBPMqj
 XzTc5slmeFEW1Ocn+h0nRkqRPxoAq4EMiAHfvAoF7GfQ++Jr98DkproOvqU8RG8fen
 b0JqaOFgbh5VhNrfAAHx9ip/dZ3Azr2cp4wFNLU0=
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 05RLPw4v003700;
 Sat, 27 Jun 2020 21:25:58 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Sebastian Sturm <mail@HIDDEN>
Subject: Re: bug#42088: [feature/native-comp] Lockup on opening TypeScript
 files
References: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
Date: Sat, 27 Jun 2020 21:25:58 +0000
In-Reply-To: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
 (Sebastian Sturm's message of "Sat, 27 Jun 2020 18:55:28 +0200")
Message-ID: <xjfzh8oryjd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Sebastian Sturm <mail@HIDDEN> writes: > Apologies
 in advance for this being a very vague bug report, but I > don't know how
 to properly debug this kind of issue (pointers > appreciated!) Hi Sebastian,
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 42088
Cc: 42088 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Sebastian Sturm <mail@HIDDEN> writes:

> Apologies in advance for this being a very vague bug report, but I
> don't know how to properly debug this kind of issue (pointers
> appreciated!)

Hi Sebastian,

no worries, at this stage we have finished the trivial bugs :)

I think the questions are two:

- Is Emacs just looping forever in
  F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_10 or is does
  something more complex?

- Where is F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_10
  defined?  Being lambdas regular objects is can come from any
  complilaiton unit.

I believe the easiest to answere is to compile using `comp-debug' 1 and
then while is hanging just trap with the gdb and see what is going on.

I managed to reproduce the issue, tomorrow I'll be curious to have a
look.

Thanks!

  Andrea

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42088; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2020 16:55:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 27 12:55:38 2020
Received: from localhost ([127.0.0.1]:44501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpE78-0007mS-3F
	for submit <at> debbugs.gnu.org; Sat, 27 Jun 2020 12:55:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:50620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jpE76-0007mK-NV
 for submit <at> debbugs.gnu.org; Sat, 27 Jun 2020 12:55:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60046)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1jpE76-0004X5-Eb
 for bug-gnu-emacs@HIDDEN; Sat, 27 Jun 2020 12:55:36 -0400
Received: from smtp-out003.kontent.com ([81.88.40.217]:40918)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1jpE74-0004p9-CG
 for bug-gnu-emacs@HIDDEN; Sat, 27 Jun 2020 12:55:36 -0400
Received: from [192.168.178.115]
 (dslb-088-074-238-188.088.074.pools.vodafone-ip.de [88.74.238.188])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: sebastian-sturm_de_1@HIDDEN)
 by smtp-out003.kontent.com (Postfix) with ESMTPSA id 58A09400E2226
 for <bug-gnu-emacs@HIDDEN>; Sat, 27 Jun 2020 18:55:29 +0200 (CEST)
To: bug-gnu-emacs@HIDDEN
From: Sebastian Sturm <mail@HIDDEN>
Subject: [feature/native-comp] Lockup on opening TypeScript files
Message-ID: <b581d5dc-d9a6-0669-8631-f3b7fa886b0f@HIDDEN>
Date: Sat, 27 Jun 2020 18:55:28 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
Received-SPF: none client-ip=81.88.40.217;
 envelope-from=mail@HIDDEN; helo=smtp-out003.kontent.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/27 12:55:30
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic]
X-Spam_score_int: -35
X-Spam_score: -3.6
X-Spam_bar: ---
X-Spam_report: (-3.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-1, SPF_HELO_NONE=0.001, SPF_NONE=0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Apologies in advance for this being a very vague bug report, but I don't 
know how to properly debug this kind of issue (pointers appreciated!)

I find that, using the latest version of gccemacs (commit 
#801e19d0ba8e048...) and typescript.el (commit #0fc729787007b5111f...) 
Emacs will lock up with 100% cpu usage whenever a TypeScript file is 
opened. Interrupting Emacs using SIGUSR2 produces the following backtrace:

Debugger entered--entering a function:
* #<subr F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_10>()
   typescript--ensure-cache(515)
   typescript--class-decl-matcher(515)
   font-lock-fontify-keywords-region(1 515 nil)
   font-lock-default-fontify-region(1 501 nil)
   font-lock-fontify-region(1 501)
   #f(compiled-function (fun) #<bytecode 
0x58bf2cebcbf23b5>)(font-lock-fontify-region)
   jit-lock--run-functions(1 501)
   jit-lock-fontify-now(1 501)
   jit-lock-function(1)
   redisplay_internal\ \(C\ function\)()

I didn't spot any literal lambda within typescript--ensure-cache so I 
assume it's being generated by some macro? Adding the melpa package 
repository to the gccemacs docker image, installing typescript-mode and 
opening a .ts file also causes the Docker version to lock up with 100% 
CPU usage so I assume this is not caused by my config (trying to send 
SIGUSR2 to emacs terminated the entire container).
If there's anything I can try out to debug this issue, I'll gladly do so.

Thanks for your amazing work on gccemacs!
Sebastian

The following is extracted from the template produced by 
report-emacs-bug, though given that the Docker image locks up too, I 
guess most of it isn't of interest anyway:

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.22.30, cairo version 1.15.10)
  of 2020-06-27 built on cartman
Repository revision: 801e19d0ba8e048a9faa5d5169ec4183e41b0148
Repository branch: feature/native-comp
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Linux Mint 19.1

Recent messages:
Doom loaded 235 packages across 53 modules in 0.672s
Waiting for git... [2 times]
Loading /home/sebastian/.emacs.d/.local/cache/recentf...done
+Word-Wrap mode enabled in current buffer
current-kill: Kill ring is empty
Mark set [9 times]

Configured using:
  'configure --prefix=/usr/local/stow/gccemacs CC=gcc-10 'CFLAGS=-O3
  -mtune=native -march=native -DNDEBUG' --with-nativecomp'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2 GMP

Important settings:
   value of $LC_MONETARY: en_US.UTF-8
   value of $LC_NUMERIC: en_US.UTF-8
   value of $LC_TIME: en_US.UTF-8
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8




Acknowledgement sent to Sebastian Sturm <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42088; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 30 Jun 2020 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.